Page MenuHomePhabricator

Source wiki edit comment has bad URL
Closed, ResolvedPublic

Description

In T228851#5495407 we saw,

This file is now on Wikipedia as \/\/test.wikipedia.org\/wiki\/File:038pro01.jpg

Similar to T228846, probably the same fix, passing the PROTO_CANONICAL flag to Title#getFullUrl.

Event Timeline

awight created this task.Sep 16 2019, 12:30 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 16 2019, 12:30 PM
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-09-10 board.

Change 537598 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Source wiki edit comment has bad URL

https://gerrit.wikimedia.org/r/537598

Change 537598 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Source wiki edit comment has bad URL

https://gerrit.wikimedia.org/r/537598

@Andrew-WMDE if it's easy, please link to the "receipts" you created when accepting tasks.

awight closed this task as Resolved.Sep 25 2019, 12:58 PM